%define kde_version 3.0.5a

%define sourcedir stable/%{kde_version}/distribution/tar/generic/source
%define is_release 1
%define beta %{nil}
%define DATE 20020326
%define rel 0.73.0

%define libtool 0

Version: %{kde_version}
Name: kdetoys
Prefix: /usr
Icon: kde-icon.xpm
Summary: K Desktop Environment - Toys and Amusements
Epoch: 7
Group: Amusements/Graphics
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL

%if %{is_release}
%if "%{beta}" != ""
Release: 0.%{beta}.%{rel}
%else
Release: %{rel}
%endif
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}%{beta}.tar.bz2
%else
Release: 0.cvs%{DATE}.%{rel}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{DATE}.tar.bz2
%endif

Buildrequires: kdelibs-devel >= 3.0.3
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: glibc-devel
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: libstdc++-devel

Prereq: /sbin/ldconfig

%description
Toys for the K Desktop Environment.

Includes: kmoon (displays various phases of the moon); kworldwatch
(displays where in the world it is light and dark depending on time), and
kodo (a mouse odometer which shows how far your mouse has traveled).

%prep
rm -rf $RPM_BUILD_ROOT

%if %{is_release}
%setup -q
%else
%setup -q -n %{name}
%endif

# Workaround for legacy auto* tools
%if %{libtool}
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
make -f admin/Makefile.common cvs
%endif

%build
export KDEDIR=%{prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh

FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -DNDEBUG -DNO_DEBUG"
export KDEDIR=%{prefix}
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS -fno-check-new"

%configure \
   --with-qt-libraries=$QTDIR/lib \
   --includedir=%{_includedir}/kde

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT transform=

# Remove kaphorism
rm -rf $RPM_BUILD_ROOT%{_bindir}/kaphorism \
       $RPM_BUILD_ROOT%{_datadir}/applnk/Toys/kaphorism.desktop \
       $RPM_BUILD_ROOT%{_datadir}/apps/kaphorism \

# Make symlinks relative
pushd $RPM_BUILD_ROOT/usr/share/doc/HTML/en
for i in *; do
   [ -d $i -a -L $i/common ] && ln -nfs ../common $i/common
done
popd

pushd $RPM_BUILD_ROOT/usr/share/apps/amor
ln -nfs tips-en tips
popd

pushd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
   $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
   -e '/\/config\//s|^|%config|' >> \
   $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
   $RPM_BUILD_DIR/file.list.%{name}

echo "%docdir %{_docdir}/kde" >> $RPM_BUILD_ROOT/file.list.%{name}
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Fri Dec 27 2002 Than Ngo <than@redhat.com> 3.0.5a-0.73.0
- 3.0.5a

* Thu Aug 15 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.3-0.7
- 3.0.3

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Rebuild

* Thu Apr 11 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-2
- Fix build in current environment

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final

* Wed Mar  6 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020306.1
- Remove kaphorism, it's of no use and German only
- move AmorIface.h to /usr/include/kde

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan  7 2002 Than Ngo <than@redhat.com> 3.0-0.cvs20020108.1
- update to CVS

* Mon Aug  6 2001 Than Ngo <than@redhat.com> 2.2-1
- update to 2.2 release

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- Update

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update to 2.1

* Mon Feb 05 2001 Than Ngo <than@redhat.com>
- updated
- fixed absolute-pathname symlinks (bug #24795)

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to CVS 
- Don't exclude ia64

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final


* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- update to kdetoys-1.93

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- SMPify
- don't hardcode QTDIR

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Wed Jun 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Mon Apr 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 snapshot

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- KDE_1_1_BRANCH
- rebuild for 6.2

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- marked docs files as such.

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- got 1.1.2 release.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- built for 6.1

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes
